> ## Documentation Index
> Fetch the complete documentation index at: https://sitegpt.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Whitelabel Brand

> Fetch the whitelabel brand



## OpenAPI

````yaml get /v0/w/brands/{brandId}
openapi: 3.0.0
info:
  title: SiteGPT API Collection
  description: >-
    This collection contains the documentation of all the API endpoints.

    ## Getting started guide

    To start using the SiteGPT APIs, you need to 

    - You must use a valid API Key to send requests to the API endpoints. You
    can get your API key from SiteGPT's [billing
    dashboard](https://sitegpt.ai/billing). If you don't see it there, contact
    admin to generate one for you.

    - The API returns request responses in JSON format. When an API request
    returns an error, it is sent in the JSON response as an error key.
        
    ## Authentication

    SiteGPT uses API keys for authentication. You can generate a SiteGPT API key
    in the [billing dashboard](https://sitegpt.ai/billing).


    You must include an API key in each request to the Postman API with the
    Authorization request header.


    Header Name : Authorization


    Header Value : Bearer {{your-api-key}}


    ### Authentication error response

    If an API key is missing, malformed, or invalid, you will receive an HTTP
    401 Unauthorized response code.


    ## Need some help?

    In case you have any questions, feel free to contact us.
  license:
    name: SiteGPT Terms and Conditions
    url: https://sitegpt.ai/terms
  version: 1.0.0
  contact:
    name: Bhanu Teja P
    email: bhanu@sitegpt.ai
    url: mailto:bhanu@sitegpt.ai
servers:
  - url: https://sitegpt.ai/api
security:
  - bearerAuth: []
tags:
  - name: Chatbot
    x-displayName: Chatbots
    description: >-
      APIs to manage different chatbots. APIs include `Fetching All Chatbots`,
      `Creating New Chatbot`, Fetching One Chatbot`, `Updating Chatbot
      Appearance` and `Deleting Chatbot`.
    x-mint:
      icon: message-bot
  - name: Chatbot Appearance
    x-displayName: Appearance
    description: APIs to update appearance of the chatbot.
    x-mint:
      icon: palette
  - name: Chatbot Custom Content
    x-displayName: Custom Content
    description: APIs to modify custom content of the chatbot.
    x-mint:
      icon: file-pen
  - name: Chatbot Follow Up Prompts
    x-displayName: Follow-up Prompts
    description: >-
      APIs to manage `Follow up Prompts` of a particular chatbot. APIs include
      `Fetching All Follow up Prompts`, `Adding New Follow up Prompt`, `Fetching
      One Follow up Prompt`, `Updating Follow up Prompt` and `Deleting Follow up
      Prompt`.
    x-mint:
      icon: message-arrow-up
  - name: Chatbot Icons
    x-displayName: Icons
    description: APIs to manage (add/update/delete) icons related to a particular chatbot.
    x-mint:
      icon: icons
  - name: Chatbot Links
    x-displayName: Content & Training
    description: >-
      APIs to fetch internal links of any url and to add certain links to a
      particular chatbot.
    x-mint:
      icon: book-open
  - name: Chatbot Messages
    x-displayName: Messages
    description: >-
      APIs to send a message to a particular thread or start a new conversation
      with in a particular chatbot.
    x-mint:
      icon: messages
  - name: Chatbot Personas
    x-displayName: Personas
    description: APIs to manage personas of the chatbot.
    x-mint:
      icon: user-tie
  - name: Chatbot Prompts
    x-displayName: Instructions
    description: APIs to manage prompts of the chatbot.
    x-mint:
      icon: message-text
  - name: Chatbot Conversation Starters
    x-displayName: Conversation Starters
    description: >-
      APIs to manage `Conversation Starters` of a particular chatbot. APIs
      include `Fetching All Conversation Starters`, `Adding New Conversation
      Starter`, `Fetching One Conversation Starter`, `Updating Conversation
      Starter` and `Deleting Conversation Starter`.
    x-mint:
      icon: bolt
  - name: Chatbot Settings
    x-displayName: Settings
    description: >-
      APIs to update different settings of the chatbot. APIs include `General
      Settings`, `User Data Settings`, `Chat Mode Settings`, `Localization
      Settings` and `Advanced Settings`.
    x-mint:
      icon: gear
  - name: Chatbot Threads
    x-displayName: Threads
    description: >-
      APIs to manage threads related to a particular chatbot. APIs include
      `Fetching All Threads`, `Fetching One Thread` and `Update Thread`.
    x-mint:
      icon: message-lines
  - name: Whitelabel
    x-displayName: Whitelabel (Deprecated)
    description: >-
      APIs to manage whitelabel users. APIs include `Create Whitelabel User` and
      `Update Whitelabel User Quota`.
    x-mint:
      icon: tag
paths:
  /v0/w/brands/{brandId}:
    parameters:
      - schema:
          type: string
        name: brandId
        in: path
        required: true
        description: Id of the whitelabel brand
    get:
      tags:
        - Whitelabel
      summary: Fetch Whitelabel Brand
      description: Fetch the whitelabel brand
      operationId: get-whitelabel-brand
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              schema:
                type: string
              description: application/json
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: >-
                      Indicates whether this is success response or error
                      response
                  message:
                    type: string
                    description: Overall message regarding the operation performed
                  data:
                    type: object
                    description: Data returned from the server
                    properties:
                      brand:
                        $ref: '#/components/schemas/WhitelabelBrand'
              examples:
                Success Response:
                  value:
                    success: true
                    message: Fetched the whitelabel brand successfully
                    data:
                      brand:
                        id: '38591051554671453681'
                        name: PSDK
                        domain: app.brand.com
                        marketingDomain: brand.com
                        supportEmail: support@brand.com
                        color: '#000000'
                        createdAt: '2024-01-03T14:23:17.043394Z'
                        updatedAt: '2024-01-09T10:52:53.631589Z'
                        emailSettings:
                          resendApiKey: rs_api_12e2e2cvwev
                          fromName: Brand
                          fromEmail: login@resend.app.brand.com
                          replyToEmail: support@brand.com
                        metaDetails:
                          title: Number One brand
                          description: Number One brand for everything
                          ogImage: >-
                            https://sitegpt.ai/cdn-cgi/imagedelivery/AIHFDBHjnhbc/vcedv443r-cr5t-3rf5-d863-dckljdcdkc3/square
                        terms: https://brand.com/terms
                        privacyPolicy: https://brand.com/privacy
                        ownedById: '360596271623302134'
                        logo: >-
                          https://sitegpt.ai/cdn-cgi/imagedelivery/hQTLE0NTlcNyb_tOYFnnyA/8d988e1f-2ea1-4b38-2d5d-1fc812560400/square
                        fullLogo: >-
                          https://sitegpt.ai/cdn-cgi/imagedelivery/hQTLE0NTlcNyb_tOYFnnyA/85052523-9a79-4dd8-f7d3-60a53175ef00/square
                        defaultQuota:
                          chatbotsQuota: 1
                          linksQuota: 10
                          filesQuota: 5
                          combinedMessagesQuota: 20
                          membersQuota: 1
        '400':
          description: Bad Request
          headers:
            Content-Type:
              schema:
                type: string
              description: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Validation Error:
                  value:
                    success: false
                    message: Failed to fetch the whitelabel brand
                    data: null
                    error:
                      code: BRAND_ID_REQUIRED
                      message: brandId is required
                      details: null
        '401':
          description: Unauthorized
          headers:
            Content-Type:
              schema:
                type: string
              description: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Authentication Error:
                  value:
                    success: false
                    message: Failed to fetch the whitelabel brand
                    data: null
                    error:
                      code: API_KEY_NOT_VALID
                      message: Authorization header does not contain valid API key
                      details: null
        '403':
          description: Forbidden
          headers:
            Content-Type:
              schema:
                type: string
              description: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Forbidden Error:
                  value:
                    success: false
                    message: Failed to fetch the whitelabel brand
                    data: null
                    error:
                      code: FETCH_WHITELABEL_BRAND_FORBIDDEN
                      message: You are not authorized to fetch the whitelabel brand
        '404':
          description: Not Found
          headers:
            Content-Type:
              schema:
                type: string
              description: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Not Found Error:
                  value:
                    success: false
                    message: Failed to fetch the whitelabel brand
                    data: null
                    error:
                      code: FETCH_WHITELABEL_BRAND_NOT_FOUND
                      message: Whitelabel brand does not exist
        '405':
          description: Method Not Allowed
          headers:
            Content-Type:
              schema:
                type: string
              description: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Method Not Allowed Error:
                  value:
                    success: false
                    message: Failed to fetch the whitelabel brand
                    data: null
                    error:
                      code: REQUEST_METHOD_NOT_ALLOWED
                      message: PUT request method is not allowed
        '500':
          description: Internal Server Error
          headers:
            Content-Type:
              schema:
                type: string
              description: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Server Error:
                  value:
                    success: false
                    message: Failed to fetch the whitelabel brand
                    data: null
                    error:
                      code: FETCH_WHITELABEL_BRAND_FAILED
                      message: Some technical error has occurred !!
      deprecated: true
components:
  schemas:
    WhitelabelBrand:
      title: Whitelabel-Brand
      type: object
      description: Details of the whitelabel brand
      properties:
        id:
          type: string
          description: Id of the whitelabel brand
        name:
          type: string
          description: Name of the whitelabel brand
        domain:
          type: string
          description: Domain of the whitelabel brand
        marketingDomain:
          type: string
          description: Marketing domain of the whitelabel brand
        supportEmail:
          type: string
          description: Support email of the whitelabel brand
        color:
          type: string
          description: Color of the whitelabel brand
        terms:
          type: string
          description: Terms and conditions of the whitelabel brand
        privacyPolicy:
          type: string
          description: Privacy policy of the whitelabel brand
        watermark:
          type: string
          nullable: true
        ownedById:
          type: string
          description: Owner id of the whitelabel brand
        logo:
          type: string
          description: Logo of the whitelabel brand
        fullLogo:
          type: string
          description: Full logo of the whitelabel brand
        metaDetails:
          $ref: '#/components/schemas/WhitelabelBrandMetaDetails'
        emailSettings:
          $ref: '#/components/schemas/WhitelabelBrandEmailSettings'
        defaultQuota:
          $ref: '#/components/schemas/WhitelabelBrandDefaultQuota'
        createdAt:
          type: string
          description: Timestamp at which the brand has been created
        updatedAt:
          type: string
          description: Timestamp at which the brand has been recently updated
    ErrorResponse:
      type: object
      description: Error Response
      properties:
        success:
          type: boolean
          description: Indicates that this is error response
        message:
          type: string
          description: Overall error message regarding the operation performed
        data:
          type: object
          description: Data returned from the API. This will be `null` for errors
          nullable: true
        error:
          type: object
          description: Object with the error details
          properties:
            code:
              type: string
              description: Based on this error code, you can identify what is the error
            message:
              type: string
              description: The message indicating the reason for the error
            details:
              type: array
              description: More details on the error. Applicable only for Validation errors
              nullable: true
              items:
                type: object
                properties:
                  path:
                    type: array
                    description: >-
                      Specifies the path in request body where error occurred.
                      If the error field is nexted, then this array length will
                      be more than 1.
                    items:
                      oneOf:
                        - type: string
                          description: Specifies the name of the field
                        - type: integer
                          description: Specifies the position in an array
                  message:
                    type: string
                    description: Reason for the error of the path mentioned before
    WhitelabelBrandMetaDetails:
      title: Whitelabel-Brand-Meta-Details
      type: object
      properties:
        title:
          type: string
          description: Meta title of the whitelabel brand
        description:
          type: string
          description: Meta description of the whitelabel brand
        ogImage:
          type: string
          description: Og image of the whitelabel brand
      description: Meta details of the whitelabel brand
    WhitelabelBrandEmailSettings:
      title: Whitelabel-Brand-Email-Settings
      type: object
      description: Email settings of the whitelabel brand
      properties:
        fromName:
          type: string
          description: From name of email config of the whitelabel brand
          nullable: true
        fromEmail:
          type: string
          description: From email of email config of the whitelabel brand
        replyToEmail:
          type: string
          description: Reply-to email of email config of the whitelabel brand email config
        resendApiKey:
          type: string
          description: Resend API key of email config of the whitelabel brand
    WhitelabelBrandDefaultQuota:
      title: Whitelabel-Brand-Default-Quota
      type: object
      description: Default quota of the brand
      properties:
        chatbotsQuota:
          type: integer
          minimum: 0
          description: Default chatbots quota for the new users
        linksQuota:
          type: integer
          minimum: 0
          description: Default links quota for the new users
        filesQuota:
          type: integer
          minimum: 0
          description: Default files quota for the new users
        combinedMessagesQuota:
          type: integer
          minimum: 0
          description: Default messages quota for the new users
        membersQuota:
          type: integer
          minimum: 0
          description: Default members quota for the new users
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````